task_service_pb2

task_service_pb2#

Generated protocol buffer code.

Full path: iqm.data_definitions.station_control.v2.task_service_pb2

Protobuf source code#
// Copyright 2019-2025 IQM
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

/*
 Station Task definition.
 */

syntax = "proto3";

package iqm.data_definitions.station_control.v2;

import "iqm/data_definitions/common/v1/data_types.proto";


// Response body for GET /sweeps/{uuid}/results
message SweepResultsResponse
{
  // A UUID that gives identity to the sweep event.
  string sweep_id = 1;
  /* Maps the names of SweepRequest.return_parameters to corresponding list of results arrays.
  The length of the list is equal to the total number of sweep spots -
  each item in the list contains the full results for one sweep spot,
  and they appear in the order dictated by sweep linearization convention.
   */
  map<string, iqm.data_definitions.common.v1.Arrays> results = 2;
}

Classes